<script setup lang="ts">
import { useAppStore } from '@/store';
import { onMounted } from 'vue';

// 获取app状态
const appStore = useAppStore();

// 组件挂载时初始化监听器
onMounted(() => {
  appStore.initResizeListener();
});
</script>

<template>
  <el-config-provider>
    <router-view />
  </el-config-provider>
</template>

<style scoped lang="css">
.logo {
  height: 6em;
  padding: 1.5em;
  will-change: filter;
  transition: filter 300ms;
}

.logo:hover {
  filter: drop-shadow(0 0 2em #646cffaa);
}

.logo.vue:hover {
  filter: drop-shadow(0 0 2em #42b883aa);
}
</style>
